EPIC: Release to Production: Prominent Search Box with type-ahead (metadata/images in search results)
Closed, ResolvedPublic

Description

We want to take our successful test https://phabricator.wikimedia.org/T112209 and push it into production. This will add in a new prominent search box, type-ahead and display metadata and images (as available) in the search results. This will also display the new language dropdown using the two or three character language identifier instead of the full name of the language. ie: FR for French, EN for English.

debt created this task.Feb 2 2016, 12:09 AM
debt updated the task description. (Show Details)
debt raised the priority of this task from to High.
debt added subscribers: debt, Jdrewniak, JGirault and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2016, 12:09 AM

Can I suggest adding the blocker tasks?

debt moved this task from Needs triage to UX on the Discovery board.Feb 4 2016, 5:01 PM
debt moved this task from UX to On Sprint Board on the Discovery board.Feb 4 2016, 9:15 PM
debt renamed this task from Release to Production: Prominent Search Box with type-ahead (metadata/images in search results) to EPIC: Release to Production: Prominent Search Box with type-ahead (metadata/images in search results).Feb 5 2016, 7:31 PM
debt set Security to None.
debt added a project: Epic.Feb 5 2016, 7:35 PM

Added Epic tag for this ticket - no points.

debt added a comment.Feb 10 2016, 12:55 AM

Added new task - to comment out the 'find a language' label, search box and arrow button (so that it does not display). We have future designs to bring this functionality back, but in a more modern treatment.

https://phabricator.wikimedia.org/T126409

debt added a subscriber: mxn.Mar 2 2016, 11:05 PM

Change 276094 had a related patch set uploaded (by JGirault):
Bump portals to master

https://gerrit.wikimedia.org/r/276094

JGirault added a comment.EditedMar 9 2016, 5:53 AM

It's merged into master, and deployed on beta!

Check it out: http://www.wikipedia.beta.wmflabs.org/

Deployment to production

The patch has been submitted for Thursday's Evening SWAT (Thu 00:00–01:00 UTC, Wed 16:00–17:00 PST).

Change 276094 merged by jenkins-bot:
Bump portals to master

https://gerrit.wikimedia.org/r/276094

debt closed this task as Resolved.Mar 11 2016, 2:47 AM
debt claimed this task.

Done and released on March 10, 2016 (PST)!

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Apr 7 2016, 3:38 PM